#pragma once

class CListSharesDlg : public CDialog
{
// Construction
public:
	CListSharesDlg(CWnd *pParent = NULL);
	virtual ~CListSharesDlg();

// Dialog Data
	//{{AFX_DATA(CListSharesDlg)
	enum { IDD = IDD_LISTSHARES_DIALOG };
	CListCtrl	m_ctrlShares;
	CString	m_strMachine;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CListSharesDlg)
	public:
	virtual BOOL DestroyWindow();
	protected:
	virtual void DoDataExchange(CDataExchange *pDX);
	//}}AFX_VIRTUAL

// Implementation
protected:
	CString m_strLocalMachine;
	HICON m_hIconLarge, m_hIconSmall;
	bool m_bSortAscending;
	int m_nSortColumn;

	void InitSharesList(void);
	void FillSharesList(void);
	void ClearSharesList(void);

	void SetColSortIndicator(const bool bEnable = true);

	static CString ShareTypeToString(const DWORD dwType);
	static int CALLBACK SortFunc(LPARAM lParam1, LPARAM lParam2, LPARAM lParamSort);

	// Generated message map functions
	//{{AFX_MSG(CListSharesDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnSysColorChange();
	afx_msg void OnRefresh();
	afx_msg void OnColumnClickListShares(NMHDR *pNMHDR, LRESULT *pResult);
	afx_msg void OnChangeMachine();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
